<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="content-type" content="text/html;charset=utf-8">
	<title>绘制路径</title>
	<link rel="stylesheet" href="">
</head>
<body>
	<canvas id="drawing" height="200"></canvas>
	<script type="text/javascript">
		var drawing=document.getElementById('drawing');
		if(drawing.getContext){
			var context=drawing.getContext("2d");
			context.beginPath();
			context.arc(100,100,99,0,2*Math.PI,false);

			context.moveTo(194,100);
			context.arc(100,100,94,0,2*Math.PI,false);

			context.moveTo(100,100);
			context.lineTo(100,15);

			context.moveTo(100,100);
			context.lineTo(35,100);

			context.font="blod 14px Arial";
			context.textAlign="center";
			context.Baseline="middle";
			context.fillText("12",100,20);

			context.stroke();
		}
	</script>
</body>
</html>